RubyGems Navigation menu

requires 0.1.0